// switch: sizes
let taskName = prompt("Введите название задания");

switch (taskName) {

    case "switch: sizes":
        let sizeUkraine = +prompt('Введите размер обуви для перевода размера из нашей системы в американскую')
        switch (sizeUkraine) {
            case 40:
                alert(6);
                break;
            case 42:
                alert(8);
                break;
            case 44:
                alert(10);
                break;
            case 46:
                alert(12);
                break;
            case 48:
                alert(14);
                break;
            case 50:
                alert(16);
                break;
            case 52:
                alert(18);
                break;
            case 54:
                alert(20);
                break;
            default:
                alert('Указан размер не из списка возможных')
        }
        break;

    case "switch: if":
        let color = prompt("Введите цвет", "");
        if (color === "red") {
            document.write("<div style='background-color: red;'>красный</div>")
        } else if (color === "black") {
            document.write("<div style='background-color: black; color: white;'>черный</div>")
        } else if (color === "blue") {
            document.write("<div style='background-color: blue;'>синий</div>")
        } else if (color === "green") {
            document.write("<div style='background-color: green;'>зеленый</div>")
        } else {
            document.write("<div style='background-color: gray;'>Я не понял</div>")
        }
        break;

    case "prompt: or":
        let age = prompt('Введите ваш возраст?');
        let thisYear = 2022;
        if (age === '' || age === null) {
            alert('какая-то дичь')
        } else {

            alert(thisYear - age + " ваш год рождения")
        }
        break;

    case "confirm: or this days":
        let shopping = confirm("Шопинг?") || alert("Ты бяка-бука")
        break;

    case "confirm: if this days":
        let shopping2 = confirm("Шопинг?");
        if (shopping2) {
        }
        else {
            (shopping2 === '' || shopping2 === "null")

            alert("ты - бяка-бука")
        }
        break;

    case "triple prompt":
        let fullName = prompt('Ведите фамилию') + prompt('Имя') + prompt('Отчество')

        alert(fullName)
        break;

    case "default: or":
        let surName = prompt('Фамилия') || 'Иванов'
        let name = prompt('Имя') || 'Иван'
        let patronymic = prompt('Отчество') || 'Иванович'

        alert(surName + ' ' + name + ' ' + patronymic)
        break;

    case "default: if":
        let surNameTwo = prompt('Фамилия')
        let nameTwo = prompt('Имя')
        let patronymicTwo = prompt('Отчество')
        if (!surNameTwo) {
            surNameTwo = 'Иванов'
        }
        if (!nameTwo) {
            nameTwo = 'Иван'
        }
        if (!patronymicTwo) {
            (patronymicTwo) = 'Иванович'
        }

        alert(surNameTwo + ' ' + nameTwo + ' ' + patronymicTwo)
        break;

    case "login and password":
        let authorization = prompt('Введите логин')
        if (authorization == "admin") {
            let password = prompt('Введите пароль')
            if (password == 'qwerty') {
                alert('Поздравляю,пароль верный')
            } else {
                alert('Вы ввели неправильный пароль,попробуйте еще раз')
            }
        } else {
            alert('Вы ввели неправильный логин,попробуйте еще раз')
        }
        break;

    case "currency calc":
        let exchange = prompt("Какая валюта usd или eur")
        let exchangeToLowerCase = exchange.toLowerCase()
        let valueCurrency = prompt("Введите сколько хотите поменять валюты")
        let valueExchange = Math.round;
        switch (exchangeToLowerCase) {
            case "usd":
                valueExchange = 35.4
                break;
            case "eur":
                valueExchange = 38
        }
        alert(valueCurrency * valueExchange + ' uah')
        break;

}




